### Enumeration

# Qmi DmsSwiUsbComposition

since: 1.20

#### Declaration

    enum Qmi.DmsSwiUsbComposition

#### Description [src]

Sierra Wireless USB composition modes.

Available since: 1.20

#### Members

`QMI_DMS_SWI_USB_COMPOSITION_UNKNOWN`

  Unknown.

  - Value: `-1`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_0`

  HIP, DM, NMEA, AT, MDM1, MDM2, MDM3, MS.

  - Value: `0`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_1`

  HIP, DM, NMEA, AT, MDM1, MS.

  - Value: `1`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_2`

  HIP, DM, NMEA, AT, NIC1, MS.

  - Value: `2`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_3`

  HIP, DM, NMEA, AT, MDM1, NIC1, MS.

  - Value: `3`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_4`

  HIP, DM, NMEA, AT, NIC1, NIC2, NIC3, MS.

  - Value: `4`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_5`

  HIP, DM, NMEA, AT, ECM1, MS.

  - Value: `5`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_6`

  DM, NMEA, AT, QMI.

  - Value: `6`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_7`

  DM, NMEA, AT, RMNET1, RMNET2, RMNET3.

  - Value: `7`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_8`

  DM, NMEA, AT, MBIM.

  - Value: `8`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_9`

  MBIM.

  - Value: `9`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_10`

  NMEA, MBIM.

  - Value: `10`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_11`

  DM, MBIM.

  - Value: `11`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_12`

  DM, NMEA, MBIM.

  - Value: `12`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_13`

  Dual configuration: USB composition 6 and USB composition 8.

  - Value: `13`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_14`

  Dual configuration: USB composition 6 and USB composition 9.

  - Value: `14`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_15`

  Dual configuration: USB composition 6 and USB composition 10.

  - Value: `15`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_16`

  Dual configuration: USB composition 6 and USB composition 11.

  - Value: `16`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_17`

  Dual configuration: USB composition 6 and USB composition 12.

  - Value: `17`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_18`

  Dual configuration: USB composition 7 and USB composition 8.

  - Value: `18`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_19`

  Dual configuration: USB composition 7 and USB composition 9.

  - Value: `19`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_20`

  Dual configuration: USB composition 7 and USB composition 10.

  - Value: `20`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_21`

  Dual configuration: USB composition 7 and USB composition 11.

  - Value: `21`
  - Available since: 1.20
`QMI_DMS_SWI_USB_COMPOSITION_22`

  Dual configuration: USB composition 7 and USB composition 12.

  - Value: `22`
  - Available since: 1.20

#### Type functions

###### qmi_dms_swi_usb_composition_get_description

Gets a text description of the Sierra Wireless USB composition.

since: 1.20

###### qmi_dms_swi_usb_composition_get_string

Gets the nickname string for the `QmiDmsSwiUsbComposition` specified at `val`.

since: 1.20